%{?mingw_package_header}

#define rc_ver 3

Name:           mingw-libusbx
Version:        1.0.23
Release:        %{?rc_ver:0.%{rc_ver}}%{!?rc_ver:3}%{?dist}
Summary:        MinGW library which allows userspace access to USB devices

License:        LGPLv2+
URL:            http://libusbx.org/
Source0:        https://github.com/libusb/libusb/releases/download/v%{version}%{?rc_ver:-rc%{rc_ver}}/libusb-%{version}%{?rc_ver:-rc%{rc_ver}}.tar.bz2
Patch0:         libusb-windows-hotplug.patch
Patch1:         libusb-windows-hotplug-and-latest-fix.patch

BuildArch:      noarch
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  autoconf automake libtool


%description
This package provides a way for applications to access USB devices.

%package -n mingw32-libusbx
Summary:        MinGW library which allows userspace access to USB devices
Requires:       pkgconfig

%description -n mingw32-libusbx
This package contains the header files and libraries needed to develop
applications that use libusbx.

%package -n mingw32-libusbx-static
Summary:        MinGW static library which allows userspace access to USB devices
Requires:       mingw32-libusbx = %{version}-%{release}

%description -n mingw32-libusbx-static 
This package contains the static libraries needed to develop
applications that use libusbx.

%package -n mingw64-libusbx
Summary:        MinGW library which allows userspace access to USB devices
Requires:       pkgconfig

%description -n mingw64-libusbx
This package contains the header files and libraries needed to develop
applications that use libusbx.

%package -n mingw64-libusbx-static
Summary:        MinGW static library which allows userspace access to USB devices
Requires:       mingw64-libusbx = %{version}-%{release}

%description -n mingw64-libusbx-static
This package contains the static libraries needed to develop
applications that use libusbx.

%{?mingw_debug_package}


%prep
%setup -q -n libusb-%{version}%{?rc_ver:-rc%{rc_ver}}
%patch1 -p1
autoreconf -fvi

%build
%mingw_configure
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make_install "DESTDIR=$RPM_BUILD_ROOT"

# Libtool files don't need to be bundled
find $RPM_BUILD_ROOT -name "*.la" -delete


%files -n mingw32-libusbx
%doc AUTHORS COPYING README NEWS
%{mingw32_bindir}/libusb-1.0.dll
%{mingw32_includedir}/libusb-1.0/
%{mingw32_libdir}/libusb-1.0.dll.a
%{mingw32_libdir}/pkgconfig/libusb-1.0.pc

%files -n mingw32-libusbx-static
%{mingw32_libdir}/libusb-1.0.a

%files -n mingw64-libusbx
%doc AUTHORS COPYING README NEWS
%{mingw64_bindir}/libusb-1.0.dll
%{mingw64_includedir}/libusb-1.0/
%{mingw64_libdir}/libusb-1.0.dll.a
%{mingw64_libdir}/pkgconfig/libusb-1.0.pc

%files -n mingw64-libusbx-static
%{mingw64_libdir}/libusb-1.0.a


%changelog
* Tue Jan 07 2020 Yupeng Chang <ypchang@ambarella.com> - 1.0.23-3
- Apply latest fix and windows hotplug patch

* Mon Oct 14 2019 Yupeng Chang <ypchang@ambarella.com> - 1.0.23-2
- Update windows hotplug patch

* Thu Aug 29 2019 Yupeng Chang <ypchang@ambarella.com> - 1.0.23-1
- Official release

* Mon Aug 26 2019 Yupeng Chang <ypchang@ambarella.com> - 1.0.23-0.3
- Update to 1.0.23.rc3, apply Windows Hotplug patch

* Wed May 29 2019 Yupeng Chang <ypchang@ambarella.com> - 1.0.22-3
- Update patch

* Tue Oct 09 2018 Yupeng Chang <ypchang@ambarella.com> - 1.0.22-2
- Applying patch for fixing issues on Windows

* Mon Mar 26 2018 Yupeng Chang <ypchang@ambarella.com> - 1.0.22-1
- Update to 1.0.22 official release

* Mon Mar 19 2018 Yupeng Chang <ypchang@ambarella.com> - 1.0.22-0.4.rc4-1
- Update to 1.0.22-rc4

* Mon Feb 26 2018 Yupeng Chang <ypchang@ambarella.com> - 1.0.22-0.3.rc3-1
- Update to 1.0.22-rc3

* Tue Jan 30 2018 Yupeng Chang <ypchang@ambarella.com> - 1.0.22-0.2.rc2-1
- Update to 1.0.22-rc2

* Tue Jan 09 2018 Yupeng Chang <ypchang@ambarella.com> - 1.0.22-0.1.rc1-1
- Update to 1.0.22-rc1

* Tue Dec 27 2016 Yupeng Chang <ypchang@ambarella.com> - 1.0.21-2
- Disable UsbDk

* Tue Oct 25 2016 Pavel Grunt <pgrunt@redhat.com> - 1.0.21-1
- Update to 1.0.21 and enable UsbDk

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Nov 19 2014 Richard Hughes <richard@hughsie.com> - 1.0.19-1
- Update to 1.0.19

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 27 2013 Marc-André Lureau <marcandre.lureau@redhat.com> - 1.0.15-1
- Updated to match with f19. rhbz#974701

* Mon May 20 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.0.12-2
- Bump to fix broken upgrade path from f17 to f18

* Sun Nov 18 2012 Marc-André Lureau <marcandre.lureau@redhat.com> - 1.0.12-1
- Update to upstream 1.0.12

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 21 2012 Marc-André Lureau <marcandre.lureau@redhat.com> - 1.0.9-1
- Initial packaging
